Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.data
Class PathNode

    java.lang.Object
      org.basex.data.PathNode

    public final class PathNode

extends Object

This class represents a node of the path summary.

Author:
  Workgroup DBIS, University of Konstanz 2005-10, ISC License, Christian Gruen

Field Summary
`PathNode[]` | `ch` Children.
`int` | `count` Counter.
`byte` | `kind` Node kind, defined in the `Data` class.
`short` | `name` Tag/attribute name reference.
`PathNode` | `par` Parent.

Method Summary
`void` | `addDesc(ArrayList<PathNode> nodes)` Recursively adds the node and its descendants to the specified list.
`int` | `level()` Returns the level of the path node.
`void` | `plan(Data data, Serializer ser)` Serializes the path node.
`byte[]` | `token(Data data)` Returns a readable representation of this node.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public final short name

  Tag/attribute name reference.

### kind

    public final byte kind

  Node kind, defined in the `Data` class.

### count

    public int count

  Counter.

### par

    public PathNode par

  Parent.

### ch

    public PathNode[] ch

  Children.

Method Detail

### addDesc

    public void addDesc(ArrayList<PathNode> nodes)

  Recursively adds the node and its descendants to the specified list.

  Parameters:
    `nodes` - node list

### token

    public byte[] token(Data data)

  Returns a readable representation of this node.

  Parameters:
    `data` - data reference
  Returns:
    completions

### level

    public int level()

  Returns the level of the path node.

  Returns:
    level

### plan

    public void plan(Data data,
                     Serializer ser)
              throws IOException

  Serializes the path node.

  Parameters:
    `data` - data reference
    `ser` - serializer
  Throws:
    `IOException` - I/O exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD